%define include_holidayparser	1
%{?_with_holidayparser: %{expand: %%global include_holidayparser 1}}

%define _requires_exceptions perl\(DP::CoreModules\)
%define	name	dayplanner
%define	version 0.9.2
%define rel	1
%define	release	%mkrel %rel

Name:		%{name} 
Summary:	An easy and clean Day Planner
Version:	%{version} 
Release:	%{release} 
Source0:	http://download.gna.org/dayplanner/%{name}-%{version}.tar.bz2
URL:		http://www.day-planner.org/
Group:		Office
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv3+
BuildRequires:	perl
BuildArch:	noarch

%description
Day Planner is a simple time management program.

Day Planner is designed to help you easily manage your time.
It can manage appointments, birthdays and more. It makes sure you
remember your appointments by popping up a dialog box reminding you about it.

%prep
%setup -q

%install
rm -rf $RPM_BUILD_ROOT

%if include_holidayparser
%makeinstall_std DHPinstall prefix=/usr
%else
%makeinstall_std prefix=/sur
%endif

# Install the icons
install -m644 ./art/dayplanner-24x24.png -D $RPM_BUILD_ROOT%{_iconsdir}/dayplanner.png
install -m644 ./art/dayplanner-16x16.png -D $RPM_BUILD_ROOT%{_miconsdir}/dayplanner.png
install -m644 ./art/dayplanner-48x48.png -D $RPM_BUILD_ROOT%{_liconsdir}/dayplanner.png
# (High contrast icons)
install -m644 ./art/dayplanner_HC24.png -D $RPM_BUILD_ROOT%{_iconsdir}/dayplanner_HC.png
install -m644 ./art/dayplanner_HC16.png -D $RPM_BUILD_ROOT%{_miconsdir}/dayplanner_HC.png
install -m644 ./art/dayplanner_HC48.png -D $RPM_BUILD_ROOT%{_liconsdir}/dayplanner_HC.png

# Find the localization
%find_lang %{name}

%if %mdkversion < 200900
%post 
%{update_menus}
%endif

%if %mdkversion < 200900
%postun
%{clean_menus}
%endif

%clean 
rm -rf $RPM_BUILD_ROOT 

%files -f dayplanner.lang
# Note to packagers: Please leave COPYING in here as this package is distributed
#  from the software website aswell
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS THANKS TODO ./doc/*
%{_bindir}/dayplanner
%{_bindir}/dayplanner-daemon
%{_bindir}/dayplanner-notifier
%{_datadir}/%name/
%{_iconsdir}/dayplanner*.png
%{_miconsdir}/dayplanner*.png
%{_liconsdir}/dayplanner*.png
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png


%changelog
* Fri Aug 08 2008 Funda Wang <fundawang@mandriva.org> 0.9.2-1mdv2009.0
+ Revision: 269554
- New version 0.9.2

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Jun 06 2008 Funda Wang <fundawang@mandriva.org> 0.9.1-1mdv2009.0
+ Revision: 216461
- New version 0.9.1

* Sat May 03 2008 Funda Wang <fundawang@mandriva.org> 0.9-2mdv2009.0
+ Revision: 200634
- do not require DP::CoreModule

* Thu May 01 2008 Funda Wang <fundawang@mandriva.org> 0.9-1mdv2009.0
+ Revision: 199844
- New version 0.9

* Sat Feb 09 2008 Funda Wang <fundawang@mandriva.org> 0.8.1-1mdv2008.1
+ Revision: 164420
- New version 0.8.1

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Mon Sep 17 2007 Eskild Hustvedt <eskild@mandriva.org> 0.7.2-1mdv2008.0
+ Revision: 89081
- New version 0.7.2

* Mon Jul 09 2007 Eskild Hustvedt <eskild@mandriva.org> 0.7.1-1mdv2008.0
+ Revision: 50742
- New version 0.7.1

* Mon Jun 11 2007 Eskild Hustvedt <eskild@mandriva.org> 0.7-2mdv2008.0
+ Revision: 38069
- Added missing modules

* Mon Jun 11 2007 Funda Wang <fundawang@mandriva.org> 0.7-1mdv2008.0
+ Revision: 37994
- New version

* Tue Apr 17 2007 Eskild Hustvedt <eskild@mandriva.org> 0.6-1mdv2008.0
+ Revision: 13874
- New version 0.6


* Mon Mar 26 2007 Eskild Hustvedt <eskild@mandriva.org> 0.5.1-1mdv2007.1
+ Revision: 148763
- New version 0.5.1 (bugfix)

* Sat Mar 17 2007 Eskild Hustvedt <eskild@mandriva.org> 0.5-2mdv2007.1
+ Revision: 145378
- Added the DP::iCalendar module and is now using the Day Planner .desktop file

* Thu Mar 15 2007 Eskild Hustvedt <eskild@mandriva.org> 0.5-1mdv2007.1
+ Revision: 144124
- New version 0.5

* Thu Jan 11 2007 Jérôme Soyer <saispo@mandriva.org> 0.4.1-1mdv2007.1
+ Revision: 107343
- New release 0.4.1

* Sat Dec 09 2006 Eskild Hustvedt <eskild@mandriva.org> 0.3.1-1mdv2007.1
+ Revision: 94046
- New version 0.3.1
- Import dayplanner

* Mon Aug 07 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2-1mdv
- New version 0.2 (see NEWS for changelog)

* Thu Jun 08 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.2-1mdk
- New version 0.1.2 (see NEWS for changelog)

* Thu May 25 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1.1-1mdk
- New version 0.1.1 (see NEWS for changelog)

* Thu Apr 20 2006 Eskild Hustvedt <eskild@mandriva.org> 0.1-1mdk
- Initial release

